M_StarLotteryRateCFG = {}

function M_StarLotteryRateCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_StarLotteryRateCFG:init()
	self.datas = {}
	self.datas[2] = {UpRange = 2, DailyRate = 300, TotalRate = 300}
	self.datas[5] = {UpRange = 5, DailyRate = 200, TotalRate = 200}
	self.datas[20] = {UpRange = 20, DailyRate = 180, TotalRate = 150}
	self.datas[40] = {UpRange = 40, DailyRate = 160, TotalRate = 120}
	self.datas[60] = {UpRange = 60, DailyRate = 140, TotalRate = 140}
	self.datas[80] = {UpRange = 80, DailyRate = 120, TotalRate = 120}
	self.datas[100] = {UpRange = 100, DailyRate = 100, TotalRate = 100}
	self.datas[200] = {UpRange = 200, DailyRate = 60, TotalRate = 60}
	self.datas[300] = {UpRange = 300, DailyRate = 20, TotalRate = 20}
	self.datas[9999999] = {UpRange = 9999999, DailyRate = 10, TotalRate = 10}
end

M_StarLotteryRateCFG:init()
